SoMFTime(3)

NAME
SoMFTime - The SoMFTime class is a container for SbTime values.

SYNOPSIS

#include <Inventor/fields/SoMFTime.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFTime & operator= (const SoMFTime &field)
virtual SbBool isSame (const SoField &field) const
const SbTime & operator[] (const int idx) const
const SbTime * getValues (const int start) const
int find (const SbTime &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbTime *newvals)
void set1Value (const int idx, const SbTime &value)
void setValue (const SbTime &value)
const SbTime & operator= (const SbTime &val)
SbBool operator== (const SoMFTime &field) const
SbBool operator!= (const SoMFTime &field) const
SbTime * startEditing (void)
void finishEditing (void)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbTime * values

  Additional Inherited Members

Detailed Description

The SoMFTime class is a container for SbTime values. This field is used where nodes, engines or other field containers need to store multiple time representations.

See also
    SoSFTime

Member Function Documentation

  void * SoMFTime::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFTime::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFTime::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFTime::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFTime::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFTime::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFTime::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbTime * SoMFTime::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFTime::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.